Bug 26949 - bind compiled with thread support
bind compiled with thread support
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 09:38 EST by Matt Burke
Modified: 2007-03-26 23:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 09:38:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Burke 2001-02-10 09:38:25 EST
Just upgraded 7.0 to fisher.  The installer falls over so I upgraded the
RPMs by hand, although this shouldn't have any bearing on the issue.

The problem is that named has been compiled with thread support meaning
that on a single-cpu machine it has to be run as root.  This is a terrible
security flaw, especially with the bugs reported in BIND the other week.

[root@queeg /root]# rpm -q bind
bind-9.1.0-2
Comment 1 Bernhard Rosenkraenzer 2001-02-12 09:43:31 EST
named with thread support does NOT need to run as root if you're running kernel
2.4.x.
fisher is 2.4.x based, so there is no problem.

On a side note, the bugs found recently were in the bind 8.x code base, not 9.x.
9.x is a complete rewrite because 8.x sucked. Running it as root is still a bad
thing though. Fortunately it's not necessary.

Note You need to log in before you can comment on or make changes to this bug.